<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2) on Thu May 05 15:26:41 EDT 2005 -->
<TITLE>
IEARComponentImportDataModelProperties
</TITLE>

<META NAME="keywords" CONTENT="org.eclipse.jst.j2ee.datamodel.properties.IEARComponentImportDataModelProperties interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="IEARComponentImportDataModelProperties";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/IEARComponentImportDataModelProperties.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IEARComponentExportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentCreationDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IEARComponentImportDataModelProperties.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<A NAME="main"></A>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.jst.j2ee.datamodel.properties</FONT>
<BR>
Interface IEARComponentImportDataModelProperties</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentImportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties">IJ2EEComponentImportDataModelProperties</A></DD>
</DL>
<HR>
<DL>
<DT>public interface <B>IEARComponentImportDataModelProperties</B><DT>extends <A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentImportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties">IJ2EEComponentImportDataModelProperties</A></DL>

<P>
<p>
 IEARComponentImportDataModelProperties provides properties to the IDataModel associated with the 
 EARComponentImportDataModelProvider.
 NOTE: The associated Provider and Operations will be created during M5
 </p>
 <p>
 This interface is not intended to be implemented by clients.
 </p>
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>1.0</DD>
<DT><B>See Also:</B><DD><CODE>org.eclipse.wst.common.frameworks.datamodel.IDataModelProvider</CODE>, 
<CODE>org.eclipse.wst.common.frameworks.datamodel.DataModelFactory</CODE>, 
<CODE>org.eclipse.wst.common.frameworks.datamodel.IDataModelProperties</CODE></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IEARComponentImportDataModelProperties.html#EJB_CLIENT_LIST">EJB_CLIENT_LIST</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Optional, A List containing ejb client jars associated with any ejb components which are to be imported.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IEARComponentImportDataModelProperties.html#IMPORT_EAR_PROJECT">IMPORT_EAR_PROJECT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Optional, type Boolean, default true, This flag is set to allow the EAR project to be
 imported or not.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IEARComponentImportDataModelProperties.html#MODULE_MODELS_LIST">MODULE_MODELS_LIST</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Optional.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IEARComponentImportDataModelProperties.html#NESTED_MODULE_ROOT">NESTED_MODULE_ROOT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Optional, type IPath default is ear location</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IEARComponentImportDataModelProperties.html#SELECTED_MODELS_LIST">SELECTED_MODELS_LIST</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Optional, A List containing modules to be imported list;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IEARComponentImportDataModelProperties.html#UTILITY_LIST">UTILITY_LIST</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Optional, A List containing utililty jars;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IEARComponentImportDataModelProperties.html#UTILITY_MODELS_LIST">UTILITY_MODELS_LIST</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Optional.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.eclipse.jst.j2ee.datamodel.properties.IJ2EEComponentImportDataModelProperties"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentImportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties">IJ2EEComponentImportDataModelProperties</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentImportDataModelProperties.html#COMPONENT_NAME">COMPONENT_NAME</A>, <A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentImportDataModelProperties.html#FILE">FILE</A>, <A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentImportDataModelProperties.html#FILE_NAME">FILE_NAME</A>, <A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentImportDataModelProperties.html#FILE_SELECTION_HISTORY">FILE_SELECTION_HISTORY</A>, <A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentImportDataModelProperties.html#NESTED_MODEL_J2EE_COMPONENT_CREATION">NESTED_MODEL_J2EE_COMPONENT_CREATION</A>, <A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentImportDataModelProperties.html#OVERWRITE_HANDLER">OVERWRITE_HANDLER</A>, <A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentImportDataModelProperties.html#PROJECT_NAME">PROJECT_NAME</A>, <A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentImportDataModelProperties.html#SAVE_FILTER">SAVE_FILTER</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->


<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Field Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="IMPORT_EAR_PROJECT"><!-- --></A><H3>
IMPORT_EAR_PROJECT</H3>
<PRE>
public static final java.lang.String <B>IMPORT_EAR_PROJECT</B></PRE>
<DL>
<DD>Optional, type Boolean, default true, This flag is set to allow the EAR project to be
 imported or not. If it is not imported, it is still possible for the nested projects (moduel &
 utility projects) to be imported.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../constant-values.html#org.eclipse.jst.j2ee.datamodel.properties.IEARComponentImportDataModelProperties.IMPORT_EAR_PROJECT">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="NESTED_MODULE_ROOT"><!-- --></A><H3>
NESTED_MODULE_ROOT</H3>
<PRE>
public static final java.lang.String <B>NESTED_MODULE_ROOT</B></PRE>
<DL>
<DD>Optional, type IPath default is ear location
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../constant-values.html#org.eclipse.jst.j2ee.datamodel.properties.IEARComponentImportDataModelProperties.NESTED_MODULE_ROOT">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="UTILITY_LIST"><!-- --></A><H3>
UTILITY_LIST</H3>
<PRE>
public static final java.lang.String <B>UTILITY_LIST</B></PRE>
<DL>
<DD>Optional, A List containing utililty jars;
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../constant-values.html#org.eclipse.jst.j2ee.datamodel.properties.IEARComponentImportDataModelProperties.UTILITY_LIST">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="SELECTED_MODELS_LIST"><!-- --></A><H3>
SELECTED_MODELS_LIST</H3>
<PRE>
public static final java.lang.String <B>SELECTED_MODELS_LIST</B></PRE>
<DL>
<DD>Optional, A List containing modules to be imported list;
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../constant-values.html#org.eclipse.jst.j2ee.datamodel.properties.IEARComponentImportDataModelProperties.SELECTED_MODELS_LIST">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="EJB_CLIENT_LIST"><!-- --></A><H3>
EJB_CLIENT_LIST</H3>
<PRE>
public static final java.lang.String <B>EJB_CLIENT_LIST</B></PRE>
<DL>
<DD>Optional, A List containing ejb client jars associated with any ejb components which are to be imported.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../constant-values.html#org.eclipse.jst.j2ee.datamodel.properties.IEARComponentImportDataModelProperties.EJB_CLIENT_LIST">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="MODULE_MODELS_LIST"><!-- --></A><H3>
MODULE_MODELS_LIST</H3>
<PRE>
public static final java.lang.String <B>MODULE_MODELS_LIST</B></PRE>
<DL>
<DD>Optional. This is a list of data models. This list must contain all non-utilty projects in
 the ear to be imported
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../constant-values.html#org.eclipse.jst.j2ee.datamodel.properties.IEARComponentImportDataModelProperties.MODULE_MODELS_LIST">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="UTILITY_MODELS_LIST"><!-- --></A><H3>
UTILITY_MODELS_LIST</H3>
<PRE>
public static final java.lang.String <B>UTILITY_MODELS_LIST</B></PRE>
<DL>
<DD>Optional. This is a list of data models. This list must contain all utility jars selected to
 be imported
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../constant-values.html#org.eclipse.jst.j2ee.datamodel.properties.IEARComponentImportDataModelProperties.UTILITY_MODELS_LIST">Constant Field Values</A></DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/IEARComponentImportDataModelProperties.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IEARComponentExportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentCreationDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IEARComponentImportDataModelProperties.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
